#
# spec file for package bison (Version 2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           bison
BuildRequires:  gcc-c++
License:        GPL
Group:          Development/Languages/C and C++
PreReq:         %install_info_prereq
Autoreqprov:    on
Requires:       m4
Version:        2.1
Release:        13.2
Summary:        The GNU Parser Generator
URL:            http://www.gnu.org/software/bison/bison.html
Source:         bison-%{version}.tar.bz2
Patch1:         bison-%{version}-subpipe.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bison is a parser generator similar to yacc(1).



Authors:
--------
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Noah Friedman <friedman@ai.mit.edu>
    Richard Stallman <rms@ai.mit.edu>

%debug_package
%prep
%setup -q
%patch1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} \
        --infodir=%{_infodir} --libdir=%{_libdir}
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
# FIXME: this should probably go to separate subpackage (see PACKAGING)
%find_lang %{name}-runtime
cat %{name}-runtime.lang >>%{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL NEWS README doc/FAQ
%{_bindir}/bison
%{_bindir}/yacc
%{_libdir}/liby.a
/usr/share/bison
/usr/share/aclocal/bison-i18n.m4
%doc %{_infodir}/bison.info*.gz
%doc %{_mandir}/man1/bison.1.gz

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog -n bison
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 21 2005 - mmarek@suse.cz
- push the 2.1 update into factory
* Thu Dec 15 2005 - mmarek@suse.cz
- update to 2.1
* Fri Nov 05 2004 - tcrhak@suse.cz
- fixed wrong variable name (bug #47961, patch output)
* Mon Jan 26 2004 - kukuk@suse.de
- Readd m4 requirement
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Tue Jan 06 2004 - tcrhak@suse.cz
- update to version 1.875
- use %%{_libdir}
- run the testsuite
- applied Michael Matz's patch
- GCC does not support attributes on label in C++
* Fri Sep 12 2003 - tcrhak@suse.cz
- require m4, issue an error message and return a non-zero
  exit code if m4 binary is not found [bug #30653], patch readpipe
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Mar 07 2003 - tcrhak@suse.cz
- Improved fix for the scaner: treat @ and initial comments
  the right way
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Sat Nov 09 2002 - aj@suse.de
- Fix one more problem encountered in building gcc with $
  (all work done by jh@suse.cz).
* Sat Nov 09 2002 - aj@suse.de
- Fix last patch to handle $ in comments correctly.
* Sat Nov 09 2002 - aj@suse.de
- Fix handling of $ in scan-gram.
* Wed Nov 06 2002 - tcrhak@suse.cz
- update to version 1.75
- removed YYPARSE_RETURN_TYPE: no package uses this and yyparse()
  relies on having its return type compatible with int
- do not use C++ kludges fix with the new version
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jul 23 2002 - tcrhak@suse.cz
- a stack overflow fix for `C++ kludges': do extend stack
  even if location tracking is not enabled
* Wed Jun 26 2002 - tcrhak@suse.cz
- update to 1.35
* Wed Feb 13 2002 - schwab@suse.de
- Don't use NULL when it may not be defined.
* Fri Feb 08 2002 - tcrhak@suse.cz
- update to version 1.33
* Fri Jan 25 2002 - tcrhak@suse.cz
- update to version 1.32
* Tue Dec 11 2001 - schwab@suse.de
- Fix double free.
* Fri Nov 30 2001 - schwab@suse.de
- Fix use of YYSTACK_USE_ALLOCA in parser skeleton.
* Fri Nov 30 2001 - tcrhak@suse.cz
- update to 1.30
* Sun Dec 03 2000 - schwab@suse.de
- Fix line numbers in bison.simple.
* Thu Aug 24 2000 - nadvornik@suse.cz
- update to 1.28
* Fri Jan 28 2000 - schwab@suse.de
- Fix missing declaration
- Specfile cleanup, get rid of Makefile.Linux
- /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jun 13 1997 - rj@suse.de
- yacc emulation removed, because of existing mid-age technology
* Fri May 16 1997 - rj@suse.de
- version 1.25
- yacc-functionality emulated thru script
